From 8d9d32826a030b8dbf6e5bf041397ab10539dd34 Mon Sep 17 00:00:00 2001
From: anar <anar@localhost.localdomain>
Date: Oct 13 2017 12:13:13 +0000
Subject: [PATCH 984/1001] Some minor polishing


---

diff --git a/hubs/utils/github.py b/hubs/utils/github.py
index 71ef257..78880de 100644
--- a/hubs/utils/github.py
+++ b/hubs/utils/github.py
@@ -9,25 +9,23 @@ import requests
 log = logging.getLogger(__name__)
 
 
-def github_org_is_valid(token, username):
+def github_org_is_valid(username):
     log.info("Finding github organization for {}".format(username))
     tmpl = "https://api.github.com/users/{username}"
     url = tmpl.format(username=username)
-    auth = dict(access_token=token)
-    result = requests.get(url, params=auth)
-    if not bool(result):
+    result = requests.get(url)
+    if not result.ok:
         return False
     else:
         return True
 
 
-def github_repo_is_valid(token, username, repo):
+def github_repo_is_valid(username, repo):
     log.info("Finding github repo for {} and {} ".format(repo, username))
     tmpl = "https://api.github.com/repos/{username}/{repo}"
     url = tmpl.format(username=username, repo=repo)
-    auth = dict(access_token=token)
-    result = requests.get(url, params=auth)
-    if not bool(result):
+    result = requests.get(url)
+    if not result.ok:
         return False
     else:
         return True
diff --git a/hubs/utils/views.py b/hubs/utils/views.py
index 5e7581b..0fe1e2b 100644
--- a/hubs/utils/views.py
+++ b/hubs/utils/views.py
@@ -118,15 +118,15 @@ def configure_widget_instance(widget_instance, widget_config):
     """
     if not widget_config:
         return
-    vals = {}
+    values = {}
     for param in widget_instance.module.get_parameters():
         val = widget_config.get(param.name)
         if not val:
             raise WidgetConfigError(
                 'You must provide a value for: %s' % param.name)
-        vals[param.name] = val
+        values[param.name] = val
     try:
-        config = widget_instance.module.validate_parameters(vals)
+        config = widget_instance.module.validate_parameters(values)
     except ValueError as err:
         raise WidgetConfigError('Invalid data provided, error: %s' % err)
     # Updating in-place is not supported, it's a class property.
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index 42a1965..eae34cc 100644
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -10,7 +10,6 @@ from importlib import import_module
 from .caching import CachedFunction
 from .view import WidgetView
 
-
 log = logging.getLogger(__name__)
 
 
@@ -99,15 +98,17 @@ class Widget(object):
             # Try to be smart-ish with the default label.
             self.label = self.name.replace("_", " ").replace(".", ": ").title()
         self._template_environment = None
-#
 
-    def validate_parameters(self, vals):
+    def validate_parameters(self, values):
+        """
+        Get a dictionary of values associated with corresponding parameters,
+        validate them and return.
+        """
         config = {}
         for param in self.get_parameters():
-            config[param.name] = param.validator(vals[param.name])
+            config[param.name] = param.validator(values[param.name])
         return config
 
-#
     def validate(self):
         """
         Ensure that the widget has the bits it needs.
@@ -281,10 +282,11 @@ class Widget(object):
                     "api_hub_widget", hub=instance.hub.name, idx=instance.idx),
                 "config": {},
             })
+            validated = self.validate_parameters(instance.config)
             for param in self.get_parameters():
                 if param.secret and not with_secret_config:
                     continue
-                value = param.validator(instance.config[param.name])
+                value = validated[param.name]
                 props["config"][param.name] = value
             if self.is_react:
                 props["component"] = self.name
diff --git a/hubs/widgets/validators.py b/hubs/widgets/validators.py
index 75257ba..77504b9 100644
--- a/hubs/widgets/validators.py
+++ b/hubs/widgets/validators.py
@@ -11,7 +11,6 @@ will return the validated value.
 
 from __future__ import unicode_literals
 from hubs.utils.github import github_org_is_valid, github_repo_is_valid
-from hubs.utils import get_fedmsg_config
 
 import flask
 import hubs.models
@@ -19,8 +18,6 @@ import kitchen.text.converters
 import requests
 import six
 
-fedmsg_config = get_fedmsg_config()
-
 
 def Required(value):
     """Raises an error if the value is ``False``-like."""
@@ -65,17 +62,15 @@ def Username(value):
 
 def GithubOrganization(value):
     """Fails if the Github organization name does not exist."""
-    token = fedmsg_config.get('github.oauth_token')
-    if not github_org_is_valid(token, value):
+    if not github_org_is_valid(value):
         raise ValueError('Github organization does not exist')
     return value
 
 
 def GithubRepo(value):
     """Fails if the Github repository name does not exist."""
-    token = fedmsg_config.get('github.oauth_token')
     username, repo = value.split('/')
-    if not github_repo_is_valid(token, username, repo):
+    if not github_repo_is_valid(username, repo):
         raise ValueError('Github repository does not exist')
     return repo
 

